fastlane documentation
================
# Installation

Make sure you have the latest version of the Xcode command line tools installed:

```
xcode-select --install
```

Install _fastlane_ using
```
[sudo] gem install fastlane -NV
```
or alternatively using `brew install fastlane`

# Available Actions
## Android
### android bumpReleaseVersion
```
fastlane android bumpReleaseVersion
```
Bump, commit, tag and (optionally) push commit and tag
### android uploadForProjectEnvironment
```
fastlane android uploadForProjectEnvironment
```
Upload Project Environment version to TPA
### android allUnitTests
```
fastlane android allUnitTests
```

### android generateQaReports
```
fastlane android generateQaReports
```
Checks that git is in a correct state and we have a tag. Then generates Unit Test and Coverage reports
### android uploadForInternalTest
```
fastlane android uploadForInternalTest
```
Upload Internal Test version to TPA
### android uploadForTest1
```
fastlane android uploadForTest1
```
Upload Test1 version to TPA
### android uploadForTest2
```
fastlane android uploadForTest2
```
Upload Test2 version to TPA
### android uploadForGooglePlay
```
fastlane android uploadForGooglePlay
```
Build GooglePlay .aab and upload to Google Play

----

This README.md is auto-generated and will be re-generated every time [fastlane](https://fastlane.tools) is run.
More information about fastlane can be found on [fastlane.tools](https://fastlane.tools).
The documentation of fastlane can be found on [docs.fastlane.tools](https://docs.fastlane.tools).
